Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
Class BindingProxy

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.binding.BindingProxy

All Implemented Interfaces:
  BindingUpdatable

    class BindingProxy
    extends GroovyObjectSupport

This class returns half bound FullBindings on the source half to the model object for every property reference (and I do mean every, valid or not, queried before or not). These returned half bindings are stored strongly in a list when gereated. Changing the model will keep all existing bindings but change the source on all of the bininfs Formerly Known as Model Binding.

author:
  Danno Ferrin

version:
  $Revision: 16999 $

since:
  Groovy 1.5

Nested Class Summary
`class` | `BindingProxy.ModelBindingPropertyBinding`

Field Summary
`boolean` | `bound`
`List` | `generatedBindings`
`Object` | `model`
`Map` | `propertyBindings`

Constructor Summary
`BindingProxy(Object model)`

Method Summary
`void` | `bind()`
`Object` | `getModel()`
`Object` | `getProperty(String property)`
`void` | `rebind()`
`void` | `reverseUpdate()`
`void` | `setModel(Object model)`
`void` | `setProperty(String property, Object value)`
`void` | `unbind()`
`void` | `update()`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### bound

    boolean bound

### generatedBindings

    final List generatedBindings

### model

    Object model

### propertyBindings

    final Map propertyBindings

Constructor Detail

### BindingProxy

    public BindingProxy(Object model)

Method Detail

### bind

    public void bind()

### getModel

    public Object getModel()

### getProperty

    public Object getProperty(String property)

### rebind

    public void rebind()

### reverseUpdate

    public void reverseUpdate()

### setModel

    public void setModel(Object model)

### setProperty

    public void setProperty(String property, Object value)

### unbind

    public void unbind()

### update

    public void update()

Copyright © 2003-2009 The Codehaus. All rights reserved.